linux driver install

phidgets lbrary for linux I need some help as I have never installed a driver in linux

see
http://www.phidgets.com/drivers.php 

its for any phidgets hardware phidgets2.1 driver there is a linux version
LVL 30
IanThAsked:
Who is Participating?
 
upanwarCommented:
Its very simple and following the standard Linux installation procedure of tar balls.

Please follow the below given command to install.

First unzip the the file.

# unzip linux.zip

Now enter into the directory.

# cd <extracted Directory>

Execute below given command to install.

# ./configure

# make

# make install

Thats it, Now the package is installed.

0
 
upanwarCommented:
What you want to install?

Phidget 21 Source

Or

Phidget Webservice
0
 
IanThAuthor Commented:
phidgets 21 as my idea is to put the data into a database so its kind of cloud based because the webservice is more for windows I think but if you know how to install both I will look at webservice but I defo need phidgets 2.1 source installing
0
WEBINAR: 10 Easy Ways to Lose a Password

Join us on June 27th at 8 am PDT to learn about the methods that hackers use to lift real, working credentials from even the most security-savvy employees. We'll cover the importance of multi-factor authentication and how these solutions can better protect your business!

 
upanwarCommented:
I have tried to download the phidgets 2.1 source  but It seems that the package is not available on the web.

I want to see it and read the instruction to help you out.

If you have the package with you then when you unzip it you will see files named README and INSTALL, these two files have all the info and necessary steps to carried out.

You can send them to me or you can use them to help yourself.
0
 
IanThAuthor Commented:
linux driver I think
 linux.zip

the readme
 README

install
 INSTALL

had a problem attaching the whole driver as a zip or rar as it said some items not allowed
0
 
IanThAuthor Commented:
will try it soon thanks
0
 
IanThAuthor Commented:
configure ran
make: *** no targets specified and no makefile foun. stop
0
 
IanThAuthor Commented:
hmm missing libusb too
0
 
upanwarCommented:
just execute the command in bleow given sequence and copy from here to your terminal.

./configure

make

make install
0
 
IanThAuthor Commented:
rebuilding 11.04 at the moment your saying copy and paste into terminal yes?
0
 
upanwarCommented:
Yes, the command which I have written in my previous post.

0
 
IanThAuthor Commented:
will test later thanks
0
 
IanThAuthor Commented:
Missing libusb! when running ./configure
oh and i cannot run all the commands like you said
0
 
upanwarCommented:
Which Linux distro you are running, It is Redhat or Centos or fedora or ubuntu which one?

Also tell me the version as well so that I can suggest you necessary steps to fix this issue.
0
 
IanThAuthor Commented:
ubuntu server 11.04 I got the same error using ubuntu 10.04 as well. I tried installing libusb in 10.04 and got a c++ error that when I googled said c++ is not installed correctly thats why I rebuilt using server 11.04 with lamp and unity installed as I needed mono-developer installed

0
 
IanThAuthor Commented:
got libusb installe sudo apt-get install libusb-dev and its now installing the phidgets
0
 
IanThAuthor Commented:
just need to see if my phidgets work in linux be back soon
0
 
IanThAuthor Commented:
got it working it wasn't the linux driver that was required as I am using mono it needs the phidget.net.dll installed into the gac and I got a test off a web site in c# for a interface and it was found
0
 
IanThAuthor Commented:
needed to windows driver not linux for mono c# and vb.net code
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.